> For the complete documentation index, see [llms.txt](https://docs.acrcloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.acrcloud.com/reference/console-api/bm-projects/custom-streams-projects/recordings.md).

# Recordings

## Get the recording of the results.

<mark style="color:blue;">`GET`</mark> `https://api-v2.acrcloud.com/api/bm-cs-projects/:pid/streams/:stream_id/recordings`

This endpoint allows you to get the recordings of the results of your channels.

#### Path Parameters

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| pid        | number | The project id |
| stream\_id | string | The stream id  |

#### Query Parameters

| Name             | Type    | Description                                                                                |
| ---------------- | ------- | ------------------------------------------------------------------------------------------ |
| timestamp\_utc   | string  | The start time of the recording, the format is YYYYmmddHHMMSS (for example 20210101120809) |
| played\_duration | integer | The duration of the recording(seconds)                                                     |
| record\_before   | integer | How many seconds of recording to add forward(default 0).                                   |
| record\_after    | integer | How many seconds of recording to add backwards(default 0).                                 |

#### Headers

| Name          | Type   | Description  |
| ------------- | ------ | ------------ |
| Authorization | string | Bearer token |
| Accept        | string | \*/\*        |

{% tabs %}
{% tab title="200 Get recording successfully." %}

```
```

{% endtab %}

{% tab title="404 Could not get the recording." %}

```
{    "message": "The recording is not available."    }
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://api-v2.acrcloud.com/api/bm-cs-projects/10079/streams/s-XXXXXXX/recordings?timestamp_utc=20210607000210&played_duration=30' \
--header 'Accept: */*' \
--header 'Authorization: Bearer {your token}'
```

{% endtab %}
{% endtabs %}
